- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Constraints Class Reference

The in-memory representation of the <constraints> element. More...

`#include <OSInstance.h>`

Collaboration diagram for Constraints:

[legend]
List of all members.

## Public Member Functions
| Constraints ()
| The Constraints class constructor.
| ~Constraints ()
| The Constraints class destructor.
bool | IsEqual (Constraints *that)
| A function to check for the equality of two objects.
| Constraints ()
| The Constraints class constructor.
| ~Constraints ()
| The Constraints class destructor.
## Public Attributes
int | numberOfConstraints
| numberOfConstraints is the number of constraints in the instance
Constraint ** | con
| con is pointer to an array of Constraint object pointers
Constraint ** | con
| con is pointer to an array of Constraint object pointers

## Detailed Description

The in-memory representation of the <constraints> element.

Definition at line 279 of file OSInstance.h.

## Constructor & Destructor Documentation

Constraints::Constraints | ( |  | ) |

The Constraints class constructor.

Definition at line 544 of file OSInstance.cpp.

Constraints::~Constraints | ( |  | ) |

The Constraints class destructor.

Definition at line 553 of file OSInstance.cpp.

References con, and numberOfConstraints.

Constraints::Constraints | ( |  | ) |

The Constraints class constructor.

Constraints::~Constraints | ( |  | ) |

The Constraints class destructor.

## Member Function Documentation

bool Constraints::IsEqual | ( | Constraints * | that | ) |

A function to check for the equality of two objects.

Definition at line 5174 of file OSInstance.cpp.

References con, and numberOfConstraints.

## Member Data Documentation

int Constraints::numberOfConstraints

numberOfConstraints is the number of constraints in the instance

Definition at line 291 of file OSInstance.h.

Referenced by LindoSolver::buildSolverInstance(), OSInstance::calculateConstraintFunctionGradient(), OSInstance::calculateHessian(), OSInstance::getConstraintNumber(), OSInstance::getLagrangianExpTree(), OSInstance::initializeNonLinearStructures(), IsEqual(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setConstraintNumber(), and ~Constraints().

Constraint** Constraints::con

con is pointer to an array of Constraint object pointers

Definition at line 295 of file OSInstance.h.

Referenced by IsEqual(), OSInstance::processConstraints(), OSInstance::setConstraintNumber(), and ~Constraints().

Constraint** Constraints::con

con is pointer to an array of Constraint object pointers

Definition at line 202 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp